get file = 'hl.sav'.


weight by hhweight.

* select children who are of primary school age; this definition is
* country-specific and should be changed to reflect the situation in your country.
select if (HL5 >= 7 and HL5 <= 12).

recode ed6a (1,2,3,11,12 = 100) (else = 0)  into  primary .
variable label primary "".

variable label HL4 "".

tables
  /format = zero
  /observation = primary
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + melevel + wlthind5 + HC1C + tot1 by 
	  HL4 > primary + tot1
  /statistics
    mean(primary (f5.1) 'Net attendance ratio')
    validn(primary (f5.0) 'Number of children')
  /title
    "Table ED.3: Primary school net attendance ratio"
		"Percentage of children of primary school age attending primary school or secondary school (NAR), The Gambia, 2006"
  /caption
    "* MICS indicator 55; MDG indicator 6".

new file.
