get file = 'hl.sav'.

weight by hhweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.

select if (HL5 >= 13 and HL5 <= 18).

compute prim  = 0.
if (ED6A = 1 or ED6A = 11) prim =  100.
variable label prim "".

variable label HL4 "".

tables
  /format = zero
  /observation = prim
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5 + melevel + wlthind5 + HC1C + tot1 by 
	  HL4 > prim + tot1
  /statistics
    mean(prim (f5.1) 'Percent attending primary school')
    validn(prim (f5.0) 'Number of children')
  /title
    "Table ED.4w: Secondary school age children attending primary school"
    "Percentage of children of secondary school age attending primary school, The Gambia, 2006".

new file.
